Subject: bug#16413: 24.3.50; Inconsistent behavior of text property functions in narrowed buffer

From: Stefan Monnier <[email-masked]>
Date: Sun, 12 Jan 2014 23:21:13 -0500

>>> Apart from the consideration of breaking existing elisp, do you think
>>> there's substantial disagreement on these questions?
>> Oh yes.  Look at the uses of narrowing in info-mode for an example.
> What about it? It looks like normal elisp use of narrowing to me.

To the user, the text outside of the visible area doesn't exist at all.
(line-number-at-pos (point-min)) should return 1 there, even though
there are always several/many lines of text before point-min.

        Stefan